com.singularsys.jep.misc.javaops

## Class PostDec

- java.lang.Object
- - com.singularsys.jep.functions.PostfixMathCommand
  - - com.singularsys.jep.misc.javaops.AbstractInc
    - - com.singularsys.jep.misc.javaops.PostDec

- All Implemented Interfaces:
    CallbackEvaluationI, PostfixMathCommandI, java.io.Serializable

      public class PostDec
      extends AbstractInc

  Java style x-- operator.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `curNumberOfParameters, name, NaN, numberOfParameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostDec()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `evaluate(Node node, Evaluator pv)` Performs some special evaluation on the node.

    - ### Methods inherited from class com.singularsys.jep.misc.javaops.AbstractInc

      `getVal, getVar`

    - ### Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkNumberOfParameters, getName, getNumberOfParameters, run, setCurNumberOfParameters, setName, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PostDec

          public PostDec()

  - ### Method Detail

    - #### evaluate

          public java.lang.Object evaluate(Node node,
                                           Evaluator pv)
                                    throws EvaluationException

      Description copied from interface: `CallbackEvaluationI`
      Performs some special evaluation on the node. This method has the responsibility for evaluating the children of the node and it should generally call

           pv.eval(node.jjtGetChild(i))

      for each child. The SymbolTable is not passed as an argument. This is because it is better practice to get and set variable values by using node.getVar().setValue() rather that through the SymbolTable with requires a hashtable lookup.
      Parameters:
        `node` - The current node
        `pv` - The visitor, can be used evaluate the children
      Returns:
        the value after evaluation. This value will be passed to other functions higher up the node tree. The value can be any type including Double or Vector<Object>
      Throws:
        `EvaluationException` - if the calculation cannot be performed
      See Also:
        `Evaluator`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep